Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84134 - NFS locks not released when client side application dies.
Summary: NFS locks not released when client side application dies.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 17:42 UTC by Robert Jones
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-02 04:30:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:433 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 3 2004-09-02 04:00:00 UTC

Description Robert Jones 2003-02-12 17:42:17 UTC
Description of problem: When an application dies unexpectedly while holding a 
file lock on an NFS mounted filesystem, the nfs-utils doesn't clean up the NFS 
locks.

Version-Release number of selected component (if applicable): nfs-utils-0.3.3-
5.1

How reproducible: Every time.

Steps to Reproduce:
1. Run an application that writes data to an NFS mounted drive.
2. Terminate the application with a kill -9
3.
    
Actual results: The there are still read and write locks on the file belonging 
to the dead processes' PID.

Expected results: There would be no locks held.


Additional info:

Comment 1 Maxim Bunin 2003-07-24 13:28:14 UTC
I noticed the same problem on  hp-ux based nfs server and linux based nfs clients

Comment 2 Ernie Petrides 2004-05-04 00:09:37 UTC
Targeting this for RHEL3 U3, changing component to kernel.  -ernie

Comment 3 Ernie Petrides 2004-05-04 04:11:40 UTC
A fix for this problem has just been committed to the RHEL3 U3
patch pool (in kernel version 2.4.21-15.1.EL).


Comment 4 John Flanagan 2004-09-02 04:30:31 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html



Note You need to log in before you can comment on or make changes to this bug.